- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxConstMemberFuncEventHandler< EventType, ListenerType > Class Template Reference

Search for all occurrences

## Detailed Description

### template<typename EventType, typename ListenerType>
class FbxConstMemberFuncEventHandler< EventType, ListenerType >

Definition at line 118 of file fbxeventhandler.h.

`#include <fbxeventhandler.h>`

Inheritance diagram for FbxConstMemberFuncEventHandler< EventType, ListenerType >:
[legend]

List of all members.

## Public Member Functions
| FbxConstMemberFuncEventHandler (ListenerType *pListenerInstance, CBFunction pFunc)
virtual int | GetHandlerEventType ()
| Get event type of current handler.
virtual void | FunctionCall (const FbxEventBase &pEvent)
| call callback function to process event data.
virtual FbxListener * | GetListener ()
| Get listener of current handler.

## Constructor & Destructor Documentation

FbxConstMemberFuncEventHandler | ( | ListenerType * | pListenerInstance,
|  | CBFunction | pFunc
| ) |  | `[inline]`

Definition at line 126 of file fbxeventhandler.h.

                                                                                          :
            mListener(pListenerInstance),
            mFunc(pFunc)
        {
        }

## Member Function Documentation

virtual int GetHandlerEventType | ( |  | ) | `[inline, virtual]`

Search for all occurrences

Get event type of current handler.

Returns:
  the type ID of event.

Implements FbxEventHandler.

Definition at line 133 of file fbxeventhandler.h.

    { return EventType::GetStaticTypeId(); }

virtual void FunctionCall | ( | const FbxEventBase & | pEvent | ) | `[inline, virtual]`

Search for all occurrences

call callback function to process event data.

Parameters:

  pEvent | specify the event type. pEvent could be a specific class which derived from FbxEventBase.

See also:
  FbxEventBase

Implements FbxEventHandler.

Definition at line 134 of file fbxeventhandler.h.

    { (*mListener.*mFunc)(reinterpret_cast<const EventType*>(&pEvent)); }

virtual FbxListener* GetListener | ( |  | ) | `[inline, virtual]`

Search for all occurrences

Get listener of current handler.

Returns:
  listener

Implements FbxEventHandler.

Definition at line 135 of file fbxeventhandler.h.

    { return mListener;}

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxeventhandler.h